Download it now!
Bug 90627 - Saving presentation results in invalid PPTX file
Summary: Saving presentation results in invalid PPTX file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.1.0 target:6.0.4 target:5.4.7
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2015-04-15 08:27 UTC by Luke
Modified: 2018-03-22 09:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
PowerPoint Error message (20.72 KB, image/png)
2015-04-15 08:27 UTC, Luke
Details
stripped-down file still generates error when exported (36.45 KB, application/vnd.oasis.opendocument.presentation)
2015-04-15 08:28 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-04-15 08:27:36 UTC
Created attachment 114801 [details]
PowerPoint Error message

Steps to reproduce:
1) In Impress open ooo120353-1.odp or the ODP from
https://bz.apache.org/ooo/show_bug.cgi?id=120353
2) Save as PPTX
3) Open in PowerPoint

PowerPoint will give an error message that the file is corrupt.

Confirmed with Impress 4.3 AND
Version: 4.5.0.0.alpha0+
Build ID: 582cdc273ec0e91d27be8a7893994acadf4d7d18
Comment 1 Luke 2015-04-15 08:28:22 UTC
Created attachment 114802 [details]
stripped-down file still generates error when exported
Comment 2 raal 2015-04-15 16:44:20 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: 51e0d789c344547956764c3b5f0ef5a304f4e0aa
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-13_16:58:45

and powerpoint viewer. No problem with export to .ppt, but .pptx export powerpoint viewer can not open.

The same error with LO LibreOffice 3.5.0 Build ID: d6cde02
Comment 3 herman.viaene 2016-01-13 08:39:11 UTC
Similar problem with saving as ppsx from a Mageia5 LibreOffice 4.4.6, Powerpoint users on Windows cannot open such file.
To make it even worse: such file can be opened ONCE in Impress (4.3.3) on Windows 10. After that, LibreOffice will not open anymore in no way possible (no feedback from command line), unless Windows 10 is completely restarted.
Comment 4 QA Administrators 2017-03-06 14:32:03 UTC Comment hidden (obsolete)
Comment 5 Luke 2017-03-09 23:43:06 UTC
Still corrupted when saved as PPTX by Version: 5.4.0.0.alpha0+
Build ID: 5b805de10a1b05647b616e726f0a8b88ff30ae77
Comment 6 Commit Notification 2018-03-16 08:04:44 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f1fa172a830ee3da43a7cfc01c38a4aa11d9337

tdf#90627 Don't save empty conditions

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-03-20 08:58:53 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41a4917440a34957f2dc5d1a5bc27f966017cedf&h=libreoffice-6-0

tdf#90627 Don't save empty conditions

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-03-22 09:32:45 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=947231b84eb57b23395f46f10921a3947e4a3b3c&h=libreoffice-5-4

tdf#90627 Don't save empty conditions

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.